Package com.avaya.clientservices.common

## Enum TrustStoreMode

- java.lang.Object
- - java.lang.Enum<TrustStoreMode>
  - - com.avaya.clientservices.common.TrustStoreMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<TrustStoreMode>`

      public enum TrustStoreMode
      extends java.lang.Enum<TrustStoreMode>

  Enumeration specifying the type of trust store to be used for the certificate validation.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `PRIVATE_AND_SYSTEM` | Set to use the trusted anchors (Root and Intermediate CA certificates) from both the private and the system trust stores.
    `PRIVATE_ONLY` | Set to use the trusted anchors (Root and Intermediate CA certificates) exclusively from the private trust store already created by the client application.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TrustStoreMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static TrustStoreMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRIVATE_ONLY

          public static final TrustStoreMode PRIVATE_ONLY

      Set to use the trusted anchors (Root and Intermediate CA certificates) exclusively from the private trust store already created by the client application.

      The client application can create the private trust store by calling `CertificateManager.setCertificates(java.security.cert.X509Certificate[])` method. Once the private trust store has been successfully created, it can be enabled by setting `SecurityPolicyConfiguration.setPrivateTrustStoreEnabled(boolean)` property.

    - #### PRIVATE_AND_SYSTEM

          public static final TrustStoreMode PRIVATE_AND_SYSTEM

      Set to use the trusted anchors (Root and Intermediate CA certificates) from both the private and the system trust stores.

      If the private trust store has not been created or disabled, then the certificate validation will automatically use the System trust store.

  - ### Method Detail

    - #### values

          public static TrustStoreMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrustStoreMode c : TrustStoreMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrustStoreMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null